Subject: Re: linux-next: manual merge of the sound tree with the omap tree

From: Tony Lindgren <[email-masked]>
Date: Fri, 13 Nov 2009 12:44:29 -0800

* Takashi Iwai <[email-masked]> [091113 05:13]:
> At Fri, 13 Nov 2009 13:11:48 +0000,
> Mark Brown wrote:
> > 
> > On Fri, Nov 13, 2009 at 02:06:44PM +0100, Takashi Iwai wrote:
> > > Mark Brown wrote:
> > 
> > > > into the OMAP tree to resolve this.  There's some older ASoC changes in
> > > > there to ensure the patches applied but I'm happy for you to carry those
> > > > providing Takashi is.
> > 
> > > I can merge the tree above to for-next branch of sound git tree, too.
> > > In that way, we can keep asoc branches clean.
> > 
> > I believe that creates the same problem both ways :/ .  If we merge
> > OMAP->sound we may as well put it on the ASoC topic branch, it'll
> > probably be helpful for people doing OMAP work anyway.
> 
> OK, in both ways I don't care...

I think this should get resolved if I git cherry-pick the following
commits to linux-omap for-next:

MFD: twl4030: add twl4030_codec MFD as a new child to the core
0b83ddebc6e884dc0221358cf68c461520fbdd8e

OMAP: Platform support for twl4030_codec MFD
f8d9aad96d0d7b57d0bf2e4de21fdda3a42f4449

OMAP: Configure audio_mclk for twl4030-codec MFD
953e2f3d272db9db6671ad4f4244820557a71cf7

Then I can tweak the sdp and zoom patches accordingly. So let's try
that first, I'll try it out today.

Regards,

Tony